Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1692702 - In d/s if user did not set qcow_url then the Centos image instead of RHEL guest image
Summary: In d/s if user did not set qcow_url then the Centos image instead of RHEL gue...
Keywords:
Status: VERIFIED
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-metrics
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ovirt-4.3.3
: 4.3.0
Assignee: Shirly Radco
QA Contact: Ivana Saranova
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-26 09:30 UTC by Shirly Radco
Modified: 2019-04-04 13:22 UTC (History)
2 users (show)

Fixed In Version: ovirt-engine-metrics-1.2.1.3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
oVirt Team: Metrics
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 98897 master MERGED Set default qcow_url only for Origin 2019-03-27 14:05:01 UTC

Description Shirly Radco 2019-03-26 09:30:16 UTC
Description of problem:
In d/s if user did not set qcow_url then the Centos image instead of RHEL guest image and installation fails only when the installer machine tries to subscribe with redhat-subscription.

Version-Release number of selected component (if applicable):
1.2.1.1

How reproducible:
100%

Steps to Reproduce:
1. Run the oVirt metrics store installation d/s without providing the qcow_url
2.
3.

Actual results:
Installation does not fail and downloads the centos template and calls it with the rhelguest75 name. Later the playbook fails, since it is unable to subscribe to the channels. 

Expected results:
The correct image should be used and if user does not provide qcow_url d/s then playbook should fail.

Additional info:

Comment 4 Ivana Saranova 2019-04-02 15:39:05 UTC
Steps:
1) Set qcow empty
2) Install metrics-store according to the README and documentation

Results: Playbook fails on missing qcow url

Steps:
1) Set qcow to RHEL 7.6 guest image
2) Install metrics-store according to the README and documentation

Results: rhelquest76 qcow image is downloaded and used as image for the template

Verified in: 
ovirt-engine-4.2.8.5-0.1.el7ev.noarch
ovirt-engine-metrics-1.2.1.3-1.el7ev.noarch

Also verified in:
ovirt-engine-4.3.3.1-0.1.el7.noarch
ovirt-engine-metrics-1.2.1.3-1.el7ev.noarch


Note You need to log in before you can comment on or make changes to this bug.